Skip to main content
GET
/
api
/
password-generator
/
response-password
/
Generate Password
curl --request GET \
  --url https://api.example.com/api/password-generator/response-password/
{
  "Error in script": "error details"
}
Generates a random secure password. This endpoint does not require authentication.

Endpoint

GET /api/password-generator/response-password/

Authentication

No authentication required.

Request

This endpoint does not accept any parameters.

Response

output
string
required
The generated password string.

Success Response

{
  "output": "aB3#xY9$mN2@pQ7!"
}

Error Responses

{
  "Error in script": "error details"
}
{
  "error": "error message"
}

Example Request

curl -X GET https://api.example.com/api/password-generator/response-password/

Implementation Details

This endpoint is implemented in views.py:18 using the response_password view function. It calls the internal password() function to generate a secure random password and returns it in JSON format.